# Create a Sub-Account

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/business/`create-subaccount

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

| Name        | Type    | Description                                                                        |
| ----------- | ------- | ---------------------------------------------------------------------------------- |
| firstname   | string  | Your customer firstname                                                            |
| lastname    | string  | Your customer lastname                                                             |
| email       | string  | Your customer email address                                                        |
| phoneno     | string  | Your customer phone number                                                         |
| loginaccess | boolean | Pass true to the field to create login access for the customer. *Default is false* |

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```json
curl --location 'https://api.oneappgo.com/v1/business/create-subaccount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer SECRE_KEY' \
--data-raw '{
    "phoneno":"09000000001",
    "firstname":"Olaope",
    "lastname":"James",
    "email":"johndoe@exaple.com",
    "loginaccess": false
}'
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```json
const axios = require('axios');
let data = JSON.stringify({
  "phoneno": "09000000001",
  "firstname": "Olaope",
  "lastname": "James",
  "email": "johndoe@exaple.com",
  "loginaccess": false
});

let config = {
  method: 'post',
  url: 'https://api.oneappgo.com/v1/business/create-subaccount',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer SECRET_KEY', 
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/business/create-subaccount',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "phoneno":"09000000001",
    "firstname":"Olaope",
    "lastname":"James",
    "email":"johndoe@exaple.com",
    "loginaccess": false
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}
{% endtabs %}

### Sample Response

{% tabs %}
{% tab title="200: OK " %}
{% code overflow="wrap" %}

```json5
{
    "status":true,
    "message":"Sub Account Successfully Created For OlaopeJames",
    "trackingid":"00104K0000000"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
